Android Studio 3.0 Canary 9 – Imansible risolvere i pacchetti

Ricevi diversi errori all'interno di Android Studio 3.0 Canary 9. Questi errori sono "Imansible risolvere:" i pacchetti android, alcuni di seguito elencati. Ho appena installato tutti i pacchetti extra per l'SDK e sto ancora ottenendo un errore di gradle build:

Error:(82, 13) Failed to resolve: com.android.support:multidex:1.0.2 Error:(85, 13) Failed to resolve: com.android.support:support-v13:26.0.0 Error:(89, 13) Failed to resolve: com.android.support:recyclerview-v7:26.0.0 Error:(97, 24) Failed to resolve: com.android.support.test:runner:1.0.0 

e altri pacchetti relativi ai test e alle librerie di supporto.

  • nome della cartella layout per i dispositivi 720x1280 come la galassia s3 di samsung
  • Come mostrare la schermata di spruzzatura durante l'initialization del database?
  • Chiamare un'attività da un altro in Android
  • Cassetto di navigazione Android implementato con Attività
  • TextWatcher per più di un EditText
  • Android: utilizza il frammento o modifica tutta la vista nell'attività
  • Ecco il mio script di creazione:

     buildscript { repositories { jcenter() mavenCentral() google() } dependencies { classpath 'com.android.tools.build:gradle:3.0.0-alpha9' classpath 'com.google.gms:google-services:3.1.0' classpath 'com.google.firebase:firebase-plugins:1.1.1' } } 

    Non sono veramente sicuro di cosa questo non riesca a build. Ho appena aggiornato tutti i pacchetti e tutte le librerie di supporto sono le stesse alle 26.0.0 -> compileSdkVersion 26

    Grazie mille per qualsiasi suggerimento!

    [EDIT] – Ecco il mio registro di costruzione del gradile

     Error:Could not resolve all files for configuration ':app:debugCompileClasspath'. > Could not find com.android.support:multidex:1.0.2. Searched in the following locations: file:/Users/bcalabro/Library/Android/sdk/extras/m2repository/com/android/support/multidex/1.0.2/multidex-1.0.2.pom file:/Users/bcalabro/Library/Android/sdk/extras/m2repository/com/android/support/multidex/1.0.2/multidex-1.0.2.jar file:/Users/bcalabro/Library/Android/sdk/extras/google/m2repository/com/android/support/multidex/1.0.2/multidex-1.0.2.pom file:/Users/bcalabro/Library/Android/sdk/extras/google/m2repository/com/android/support/multidex/1.0.2/multidex-1.0.2.jar file:/Users/bcalabro/Library/Android/sdk/extras/android/m2repository/com/android/support/multidex/1.0.2/multidex-1.0.2.pom file:/Users/bcalabro/Library/Android/sdk/extras/android/m2repository/com/android/support/multidex/1.0.2/multidex-1.0.2.jar file:/Applications/Android Studio 3.0 Preview.app/Contents/gradle/m2repository/com/android/support/multidex/1.0.2/multidex-1.0.2.pom file:/Applications/Android Studio 3.0 Preview.app/Contents/gradle/m2repository/com/android/support/multidex/1.0.2/multidex-1.0.2.jar https://jcenter.bintray.com/com/android/support/multidex/1.0.2/multidex-1.0.2.pom https://jcenter.bintray.com/com/android/support/multidex/1.0.2/multidex-1.0.2.jar Required by: project :app > Could not find com.android.support:support-v13:26.0.0. Searched in the following locations: file:/Users/bcalabro/Library/Android/sdk/extras/m2repository/com/android/support/support-v13/26.0.0/support-v13-26.0.0.pom file:/Users/bcalabro/Library/Android/sdk/extras/m2repository/com/android/support/support-v13/26.0.0/support-v13-26.0.0.jar file:/Users/bcalabro/Library/Android/sdk/extras/google/m2repository/com/android/support/support-v13/26.0.0/support-v13-26.0.0.pom file:/Users/bcalabro/Library/Android/sdk/extras/google/m2repository/com/android/support/support-v13/26.0.0/support-v13-26.0.0.jar file:/Users/bcalabro/Library/Android/sdk/extras/android/m2repository/com/android/support/support-v13/26.0.0/support-v13-26.0.0.pom file:/Users/bcalabro/Library/Android/sdk/extras/android/m2repository/com/android/support/support-v13/26.0.0/support-v13-26.0.0.jar file:/Applications/Android Studio 3.0 Preview.app/Contents/gradle/m2repository/com/android/support/support-v13/26.0.0/support-v13-26.0.0.pom file:/Applications/Android Studio 3.0 Preview.app/Contents/gradle/m2repository/com/android/support/support-v13/26.0.0/support-v13-26.0.0.jar https://jcenter.bintray.com/com/android/support/support-v13/26.0.0/support-v13-26.0.0.pom https://jcenter.bintray.com/com/android/support/support-v13/26.0.0/support-v13-26.0.0.jar Required by: project :app > Could not find com.android.support:mediarouter-v7:26.0.0. Searched in the following locations: file:/Users/bcalabro/Library/Android/sdk/extras/m2repository/com/android/support/mediarouter-v7/26.0.0/mediarouter-v7-26.0.0.pom file:/Users/bcalabro/Library/Android/sdk/extras/m2repository/com/android/support/mediarouter-v7/26.0.0/mediarouter-v7-26.0.0.jar file:/Users/bcalabro/Library/Android/sdk/extras/google/m2repository/com/android/support/mediarouter-v7/26.0.0/mediarouter-v7-26.0.0.pom file:/Users/bcalabro/Library/Android/sdk/extras/google/m2repository/com/android/support/mediarouter-v7/26.0.0/mediarouter-v7-26.0.0.jar file:/Users/bcalabro/Library/Android/sdk/extras/android/m2repository/com/android/support/mediarouter-v7/26.0.0/mediarouter-v7-26.0.0.pom file:/Users/bcalabro/Library/Android/sdk/extras/android/m2repository/com/android/support/mediarouter-v7/26.0.0/mediarouter-v7-26.0.0.jar file:/Applications/Android Studio 3.0 Preview.app/Contents/gradle/m2repository/com/android/support/mediarouter-v7/26.0.0/mediarouter-v7-26.0.0.pom file:/Applications/Android Studio 3.0 Preview.app/Contents/gradle/m2repository/com/android/support/mediarouter-v7/26.0.0/mediarouter-v7-26.0.0.jar https://jcenter.bintray.com/com/android/support/mediarouter-v7/26.0.0/mediarouter-v7-26.0.0.pom https://jcenter.bintray.com/com/android/support/mediarouter-v7/26.0.0/mediarouter-v7-26.0.0.jar Required by: project :app > Could not find com.android.support:design:26.0.0. Searched in the following locations: file:/Users/bcalabro/Library/Android/sdk/extras/m2repository/com/android/support/design/26.0.0/design-26.0.0.pom file:/Users/bcalabro/Library/Android/sdk/extras/m2repository/com/android/support/design/26.0.0/design-26.0.0.jar file:/Users/bcalabro/Library/Android/sdk/extras/google/m2repository/com/android/support/design/26.0.0/design-26.0.0.pom file:/Users/bcalabro/Library/Android/sdk/extras/google/m2repository/com/android/support/design/26.0.0/design-26.0.0.jar file:/Users/bcalabro/Library/Android/sdk/extras/android/m2repository/com/android/support/design/26.0.0/design-26.0.0.pom file:/Users/bcalabro/Library/Android/sdk/extras/android/m2repository/com/android/support/design/26.0.0/design-26.0.0.jar file:/Applications/Android Studio 3.0 Preview.app/Contents/gradle/m2repository/com/android/support/design/26.0.0/design-26.0.0.pom file:/Applications/Android Studio 3.0 Preview.app/Contents/gradle/m2repository/com/android/support/design/26.0.0/design-26.0.0.jar https://jcenter.bintray.com/com/android/support/design/26.0.0/design-26.0.0.pom https://jcenter.bintray.com/com/android/support/design/26.0.0/design-26.0.0.jar Required by: project :app > Could not find com.android.support:support-v4:26.0.0. Searched in the following locations: file:/Users/bcalabro/Library/Android/sdk/extras/m2repository/com/android/support/support-v4/26.0.0/support-v4-26.0.0.pom file:/Users/bcalabro/Library/Android/sdk/extras/m2repository/com/android/support/support-v4/26.0.0/support-v4-26.0.0.jar file:/Users/bcalabro/Library/Android/sdk/extras/google/m2repository/com/android/support/support-v4/26.0.0/support-v4-26.0.0.pom file:/Users/bcalabro/Library/Android/sdk/extras/google/m2repository/com/android/support/support-v4/26.0.0/support-v4-26.0.0.jar file:/Users/bcalabro/Library/Android/sdk/extras/android/m2repository/com/android/support/support-v4/26.0.0/support-v4-26.0.0.pom file:/Users/bcalabro/Library/Android/sdk/extras/android/m2repository/com/android/support/support-v4/26.0.0/support-v4-26.0.0.jar file:/Applications/Android Studio 3.0 Preview.app/Contents/gradle/m2repository/com/android/support/support-v4/26.0.0/support-v4-26.0.0.pom file:/Applications/Android Studio 3.0 Preview.app/Contents/gradle/m2repository/com/android/support/support-v4/26.0.0/support-v4-26.0.0.jar https://jcenter.bintray.com/com/android/support/support-v4/26.0.0/support-v4-26.0.0.pom https://jcenter.bintray.com/com/android/support/support-v4/26.0.0/support-v4-26.0.0.jar Required by: project :app > Could not find com.android.support:cardview-v7:26.0.0. Searched in the following locations: file:/Users/bcalabro/Library/Android/sdk/extras/m2repository/com/android/support/cardview-v7/26.0.0/cardview-v7-26.0.0.pom file:/Users/bcalabro/Library/Android/sdk/extras/m2repository/com/android/support/cardview-v7/26.0.0/cardview-v7-26.0.0.jar file:/Users/bcalabro/Library/Android/sdk/extras/google/m2repository/com/android/support/cardview-v7/26.0.0/cardview-v7-26.0.0.pom file:/Users/bcalabro/Library/Android/sdk/extras/google/m2repository/com/android/support/cardview-v7/26.0.0/cardview-v7-26.0.0.jar file:/Users/bcalabro/Library/Android/sdk/extras/android/m2repository/com/android/support/cardview-v7/26.0.0/cardview-v7-26.0.0.pom file:/Users/bcalabro/Library/Android/sdk/extras/android/m2repository/com/android/support/cardview-v7/26.0.0/cardview-v7-26.0.0.jar file:/Applications/Android Studio 3.0 Preview.app/Contents/gradle/m2repository/com/android/support/cardview-v7/26.0.0/cardview-v7-26.0.0.pom file:/Applications/Android Studio 3.0 Preview.app/Contents/gradle/m2repository/com/android/support/cardview-v7/26.0.0/cardview-v7-26.0.0.jar https://jcenter.bintray.com/com/android/support/cardview-v7/26.0.0/cardview-v7-26.0.0.pom https://jcenter.bintray.com/com/android/support/cardview-v7/26.0.0/cardview-v7-26.0.0.jar Required by: project :app > Could not find com.android.support:recyclerview-v7:26.0.0. Searched in the following locations: file:/Users/bcalabro/Library/Android/sdk/extras/m2repository/com/android/support/recyclerview-v7/26.0.0/recyclerview-v7-26.0.0.pom file:/Users/bcalabro/Library/Android/sdk/extras/m2repository/com/android/support/recyclerview-v7/26.0.0/recyclerview-v7-26.0.0.jar file:/Users/bcalabro/Library/Android/sdk/extras/google/m2repository/com/android/support/recyclerview-v7/26.0.0/recyclerview-v7-26.0.0.pom file:/Users/bcalabro/Library/Android/sdk/extras/google/m2repository/com/android/support/recyclerview-v7/26.0.0/recyclerview-v7-26.0.0.jar file:/Users/bcalabro/Library/Android/sdk/extras/android/m2repository/com/android/support/recyclerview-v7/26.0.0/recyclerview-v7-26.0.0.pom file:/Users/bcalabro/Library/Android/sdk/extras/android/m2repository/com/android/support/recyclerview-v7/26.0.0/recyclerview-v7-26.0.0.jar file:/Applications/Android Studio 3.0 Preview.app/Contents/gradle/m2repository/com/android/support/recyclerview-v7/26.0.0/recyclerview-v7-26.0.0.pom file:/Applications/Android Studio 3.0 Preview.app/Contents/gradle/m2repository/com/android/support/recyclerview-v7/26.0.0/recyclerview-v7-26.0.0.jar https://jcenter.bintray.com/com/android/support/recyclerview-v7/26.0.0/recyclerview-v7-26.0.0.pom https://jcenter.bintray.com/com/android/support/recyclerview-v7/26.0.0/recyclerview-v7-26.0.0.jar Required by: project :app > Could not find com.android.support:appcompat-v7:26.0.0. Searched in the following locations: file:/Users/bcalabro/Library/Android/sdk/extras/m2repository/com/android/support/appcompat-v7/26.0.0/appcompat-v7-26.0.0.pom file:/Users/bcalabro/Library/Android/sdk/extras/m2repository/com/android/support/appcompat-v7/26.0.0/appcompat-v7-26.0.0.jar file:/Users/bcalabro/Library/Android/sdk/extras/google/m2repository/com/android/support/appcompat-v7/26.0.0/appcompat-v7-26.0.0.pom file:/Users/bcalabro/Library/Android/sdk/extras/google/m2repository/com/android/support/appcompat-v7/26.0.0/appcompat-v7-26.0.0.jar file:/Users/bcalabro/Library/Android/sdk/extras/android/m2repository/com/android/support/appcompat-v7/26.0.0/appcompat-v7-26.0.0.pom file:/Users/bcalabro/Library/Android/sdk/extras/android/m2repository/com/android/support/appcompat-v7/26.0.0/appcompat-v7-26.0.0.jar file:/Applications/Android Studio 3.0 Preview.app/Contents/gradle/m2repository/com/android/support/appcompat-v7/26.0.0/appcompat-v7-26.0.0.pom file:/Applications/Android Studio 3.0 Preview.app/Contents/gradle/m2repository/com/android/support/appcompat-v7/26.0.0/appcompat-v7-26.0.0.jar https://jcenter.bintray.com/com/android/support/appcompat-v7/26.0.0/appcompat-v7-26.0.0.pom https://jcenter.bintray.com/com/android/support/appcompat-v7/26.0.0/appcompat-v7-26.0.0.jar Required by: project :app > Could not find com.android.support:support-v4:26.0.0. Searched in the following locations: file:/Users/bcalabro/Library/Android/sdk/extras/m2repository/com/android/support/support-v4/26.0.0/support-v4-26.0.0.pom file:/Users/bcalabro/Library/Android/sdk/extras/m2repository/com/android/support/support-v4/26.0.0/support-v4-26.0.0.jar file:/Users/bcalabro/Library/Android/sdk/extras/google/m2repository/com/android/support/support-v4/26.0.0/support-v4-26.0.0.pom file:/Users/bcalabro/Library/Android/sdk/extras/google/m2repository/com/android/support/support-v4/26.0.0/support-v4-26.0.0.jar file:/Users/bcalabro/Library/Android/sdk/extras/android/m2repository/com/android/support/support-v4/26.0.0/support-v4-26.0.0.pom file:/Users/bcalabro/Library/Android/sdk/extras/android/m2repository/com/android/support/support-v4/26.0.0/support-v4-26.0.0.jar file:/Applications/Android Studio 3.0 Preview.app/Contents/gradle/m2repository/com/android/support/support-v4/26.0.0/support-v4-26.0.0.pom file:/Applications/Android Studio 3.0 Preview.app/Contents/gradle/m2repository/com/android/support/support-v4/26.0.0/support-v4-26.0.0.jar https://jcenter.bintray.com/com/android/support/support-v4/26.0.0/support-v4-26.0.0.pom https://jcenter.bintray.com/com/android/support/support-v4/26.0.0/support-v4-26.0.0.jar Required by: project :app > com.facebook.android:facebook-android-sdk:4.25.0 > Could not find com.android.support:appcompat-v7:26.0.0. Searched in the following locations: file:/Users/bcalabro/Library/Android/sdk/extras/m2repository/com/android/support/appcompat-v7/26.0.0/appcompat-v7-26.0.0.pom file:/Users/bcalabro/Library/Android/sdk/extras/m2repository/com/android/support/appcompat-v7/26.0.0/appcompat-v7-26.0.0.jar file:/Users/bcalabro/Library/Android/sdk/extras/google/m2repository/com/android/support/appcompat-v7/26.0.0/appcompat-v7-26.0.0.pom file:/Users/bcalabro/Library/Android/sdk/extras/google/m2repository/com/android/support/appcompat-v7/26.0.0/appcompat-v7-26.0.0.jar file:/Users/bcalabro/Library/Android/sdk/extras/android/m2repository/com/android/support/appcompat-v7/26.0.0/appcompat-v7-26.0.0.pom file:/Users/bcalabro/Library/Android/sdk/extras/android/m2repository/com/android/support/appcompat-v7/26.0.0/appcompat-v7-26.0.0.jar file:/Applications/Android Studio 3.0 Preview.app/Contents/gradle/m2repository/com/android/support/appcompat-v7/26.0.0/appcompat-v7-26.0.0.pom file:/Applications/Android Studio 3.0 Preview.app/Contents/gradle/m2repository/com/android/support/appcompat-v7/26.0.0/appcompat-v7-26.0.0.jar https://jcenter.bintray.com/com/android/support/appcompat-v7/26.0.0/appcompat-v7-26.0.0.pom https://jcenter.bintray.com/com/android/support/appcompat-v7/26.0.0/appcompat-v7-26.0.0.jar Required by: project :app > com.facebook.android:facebook-android-sdk:4.25.0 > Could not find com.android.support:cardview-v7:26.0.0. Searched in the following locations: file:/Users/bcalabro/Library/Android/sdk/extras/m2repository/com/android/support/cardview-v7/26.0.0/cardview-v7-26.0.0.pom file:/Users/bcalabro/Library/Android/sdk/extras/m2repository/com/android/support/cardview-v7/26.0.0/cardview-v7-26.0.0.jar file:/Users/bcalabro/Library/Android/sdk/extras/google/m2repository/com/android/support/cardview-v7/26.0.0/cardview-v7-26.0.0.pom file:/Users/bcalabro/Library/Android/sdk/extras/google/m2repository/com/android/support/cardview-v7/26.0.0/cardview-v7-26.0.0.jar file:/Users/bcalabro/Library/Android/sdk/extras/android/m2repository/com/android/support/cardview-v7/26.0.0/cardview-v7-26.0.0.pom file:/Users/bcalabro/Library/Android/sdk/extras/android/m2repository/com/android/support/cardview-v7/26.0.0/cardview-v7-26.0.0.jar file:/Applications/Android Studio 3.0 Preview.app/Contents/gradle/m2repository/com/android/support/cardview-v7/26.0.0/cardview-v7-26.0.0.pom file:/Applications/Android Studio 3.0 Preview.app/Contents/gradle/m2repository/com/android/support/cardview-v7/26.0.0/cardview-v7-26.0.0.jar https://jcenter.bintray.com/com/android/support/cardview-v7/26.0.0/cardview-v7-26.0.0.pom https://jcenter.bintray.com/com/android/support/cardview-v7/26.0.0/cardview-v7-26.0.0.jar Required by: project :app > com.facebook.android:facebook-android-sdk:4.25.0 > Could not find com.android.support:support-v4:26.0.0. Searched in the following locations: file:/Users/bcalabro/Library/Android/sdk/extras/m2repository/com/android/support/support-v4/26.0.0/support-v4-26.0.0.pom file:/Users/bcalabro/Library/Android/sdk/extras/m2repository/com/android/support/support-v4/26.0.0/support-v4-26.0.0.jar file:/Users/bcalabro/Library/Android/sdk/extras/google/m2repository/com/android/support/support-v4/26.0.0/support-v4-26.0.0.pom file:/Users/bcalabro/Library/Android/sdk/extras/google/m2repository/com/android/support/support-v4/26.0.0/support-v4-26.0.0.jar file:/Users/bcalabro/Library/Android/sdk/extras/android/m2repository/com/android/support/support-v4/26.0.0/support-v4-26.0.0.pom file:/Users/bcalabro/Library/Android/sdk/extras/android/m2repository/com/android/support/support-v4/26.0.0/support-v4-26.0.0.jar file:/Applications/Android Studio 3.0 Preview.app/Contents/gradle/m2repository/com/android/support/support-v4/26.0.0/support-v4-26.0.0.pom file:/Applications/Android Studio 3.0 Preview.app/Contents/gradle/m2repository/com/android/support/support-v4/26.0.0/support-v4-26.0.0.jar https://jcenter.bintray.com/com/android/support/support-v4/26.0.0/support-v4-26.0.0.pom https://jcenter.bintray.com/com/android/support/support-v4/26.0.0/support-v4-26.0.0.jar Required by: project :app > com.google.android.gms:play-services-analytics:11.0.4 > com.google.android.gms:play-services-basement:11.0.4 

    One Solution collect form web for “Android Studio 3.0 Canary 9 – Imansible risolvere i pacchetti”

    Scrittura:

     repositories { google() } 

    non funzionava nel mio caso, quindi ho usato:

     repositories { maven { url 'https://maven.google.com' } } 

    e ha funzionato!

    checkout la guida di migrazione per ulteriori informazioni!

    L'Android è un fan Android di Google, tutto su telefoni Android, Android Wear, Android Dev e applicazioni Android Games e così via.